Subject: bug#43224: [PATCH] Support horizontal scrolling in the tab line

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Sep 2020 17:11:43 +0200

Daniel Martín <[email-masked]> writes:

> First of all, thank you for the tab bar and tab line implementation in
> Emacs 27.1. While using the feature, I found a possible improvement: Add
> support for horizontal scrolling if your mouse or trackpad supports
> it. The motivation for this change is that, as the tab line is a
> horizontal UI, it makes sense to support horizontal scrolling if the
> hardware supports it, as the scrolling feels more natural.
>
> If you agree with the proposed feature, I've attached a patch that
> implements it. Feel free to leave any review comments.

Thanks for the patch!  Looks good to me, so I've now applied it to Emacs
28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no